#layout-adm {
  display: flex;
  flex-direction: row;
  align-items: stretch;
  overflow: hidden;
  height: 100vh;

  > nav {
    display: flex;
    flex-direction: column;
    align-items: stretch;
    justify-content: space-between;
    border-right: 1px solid transparent;

    ul,
    li {
      margin: 0;
      padding: 0;
      list-style: none;
    }

    a {
      display: flex;
      flex-direction: row;
      align-items: center;
      justify-content: center;
      width: 60px;
      height: 60px;
      cursor: pointer;
      color: darken(#fff, 30);

      &:hover,
      &.active {
        color: #222;
      }
    }

    .icon {
      font-size: 20px;
    }
  }

  > section {
    flex: 1;
    overflow: hidden;
    display: grid;
    grid-template-columns: 1fr 400px;

    /**

    .adm-content {
      flex: 1;
      overflow: hidden;
      display: flex;
      flex-direction: column;
      align-items: stretch;

      > header {
        padding: 20px;
        display: flex;
        flex-direction: row;
        align-items: center;
        justify-content: space-between;

        .right {
          display: flex;
          flex-direction: row;
          align-items: center;
          gap: 10px;

          .label {
            font-size: 12px;
            background-color: darken(#fff, 10);
            padding: 5px 10px;
            border-radius: 5px;
          }

          .actions {
            display: flex;
            flex-direction: row;
            align-items: center;
            gap: 20px;
          }

          button {
            cursor: pointer;
            font-weight: 600;
            outline: none;
            font-size: 14px;

            &:hover,
            &:active {
              color: lighten(#222, 40);
              outline: none;
            }
          }
        }
      }

     */

    .adm-side {
      width: 350px;
      padding: 20px;
      border-left: 1px solid darken(#fff, 7);
      overflow: auto;
    }
  }

  .my-stories {
    overflow: hidden;
    display: flex;
    flex-direction: column;

    &-content {
      flex: 1;
      padding: 50px;
      display: grid;
      grid-template-columns: 1fr 1fr;
      gap: 20px;
      overflow: auto;

      > * {
        flex: 1;
      }
    }

    .post {
      padding: 0;

      &-link {
        display: block;

        * {
          font-size: 13px;
        }

        header {
          .left {
            display: flex;
            flex-direction: row;
            align-items: center;
            gap: 10px;

            * {
              font-size: 12px;
              font-family: Comfortaa, cursive;
            }
          }
        }

        footer {
          display: flex;
          flex-direction: row;
          align-items: center;

          .left,
          .right {
            display: flex;
            flex-direction: row;
            align-items: center;
          }
        }
      }
    }
  }
}


.layout {
  width: 100vw;
  height: 100vh;
  box-sizing: border-box;

  * {
    box-sizing: border-box;
  }
}
